Name:		trackballs
Version:	1.3.4
%define subrel	1
Release:	%mkrel 1
Summary:	A Marble Madness-like game
Group:		Games/Arcade
License:	GPLv2
URL:		https://trackballs.github.io/
Source:		https://github.com/trackballs/trackballs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(glu)
BuildRequires:	desktop-file-utils
Obsoletes:	trackballs-music < 1.5

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%autosetup -p1

%build
%cmake \
	-DTRACKBALLS_BIN_DIR=%{_gamesbindir} \
	-DTRACKBALLS_DOC_DIR=%{_docdir}/trackballs \
	-DTRACKBALLS_SHARE_DIR=%{_gamesdatadir}/trackballs \
	-DTRACKBALLS_HIGHSCORES_DIR=%{_localstatedir}/lib/games/%{name}/highScores
%cmake_build

%install
%make_install -C %{_vpath_builddir} MKINSTALLDIRS=`pwd`/mkinstalldirs iconsdir=%{buildroot}%{_iconsdir}/hicolor

%find_lang %{name}

%files -f %{name}.lang
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_docdir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/%{name}.appdata.xml
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}/highScores


%changelog
* Thu Feb 01 2024 daviddavid <daviddavid> 1.3.4-1.1.mga9
+ Revision: 2036603
- switch to guile 3.0 (fixes mga#32774)

* Mon Feb 20 2023 daviddavid <daviddavid> 1.3.4-1.mga9
+ Revision: 1944203
- new version: 1.3.4

* Sat Oct 01 2022 neoclust <neoclust> 1.3.3-1.mga9
+ Revision: 1893713
- New version 1.3.3

* Fri Apr 01 2022 umeabot <umeabot> 1.3.2-2.mga9
+ Revision: 1839986
- Mageia 9 Mass Rebuild

* Tue Mar 23 2021 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1708379
- new version: 1.3.2 (fixes mga#28307)

* Sat Nov 07 2020 wally <wally> 1.3.1-4.mga8
+ Revision: 1643471
- rebuild after guile2.0 fork

* Fri Feb 14 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1517455
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1301448
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 zezinho <zezinho> 1.3.1-1.mga7
+ Revision: 1234930
- new version 1.3.1

* Tue Mar 27 2018 zezinho <zezinho> 1.3.0-1.mga7
+ Revision: 1212928
- new version 1.3.0

* Mon Feb 26 2018 zezinho <zezinho> 1.2.4-2.mga7
+ Revision: 1205222
- obsoletes trackballs-music as it is now upstream included in main tarball

* Mon Feb 26 2018 zezinho <zezinho> 1.2.4-1.mga7
+ Revision: 1205216
- new version 1.2.4

* Wed Oct 11 2017 daviddavid <daviddavid> 1.1.4-16.mga7
+ Revision: 1170895
- patch2: fix build with gcc7

* Sat Feb 06 2016 umeabot <umeabot> 1.1.4-15.mga6
+ Revision: 941892
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-14.mga5
+ Revision: 745645
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.4-13.mga5
+ Revision: 730629
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-12.mga5
+ Revision: 689936
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1.4-11.mga4
+ Revision: 519756
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-10.mga3
+ Revision: 384727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 zezinho <zezinho> 1.1.4-9.mga3
+ Revision: 251862
- suggest music rpm

* Tue May 29 2012 zezinho <zezinho> 1.1.4-8.mga3
+ Revision: 249338
- fix BR
- fix desktop file

* Wed Dec 28 2011 wally <wally> 1.1.4-7.mga2
+ Revision: 188434
- fix .desktop file
- add P1 to fix build with new guile (from Fedora)
- clean .spec a bit

* Tue Oct 11 2011 zezinho <zezinho> 1.1.4-6.mga2
+ Revision: 153888
- fix build
- imported package trackballs


* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-5mdv2009.0
+ Revision: 261634
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-4mdv2009.0
+ Revision: 254702
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 1.1.4-2mdv2008.1
+ Revision: 179223
- Added new levels (SixLevels)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode man page extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 26 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2008.0
+ Revision: 31369
- new version
- fix desktop entry
- add icons
- drop patch


* Wed Mar 07 2007 Guillaume Bedot <littletux@mandriva.org> 1.1.2-2mdv2007.0
+ Revision: 134494
- fix for #28657
- Created package structure for trackballs.

